Changeset 1924


Ignore:
Timestamp:
Dec 19, 2010 11:35:14 AM (9 years ago)
Author:
stefan
Message:

sync with trunk rev1923

Location:
ThirdParty/Metis/stable/1.1
Files:
4 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/Metis/stable/1.1

  • ThirdParty/Metis/stable/1.1/Makefile.in

    r1746 r1924  
    144144CDEFS = @CDEFS@
    145145CFLAGS = @CFLAGS@
     146COIN_CC_IS_CL_FALSE = @COIN_CC_IS_CL_FALSE@
     147COIN_CC_IS_CL_TRUE = @COIN_CC_IS_CL_TRUE@
    146148COIN_HAS_PKGCONFIG_FALSE = @COIN_HAS_PKGCONFIG_FALSE@
    147149COIN_HAS_PKGCONFIG_TRUE = @COIN_HAS_PKGCONFIG_TRUE@
  • ThirdParty/Metis/stable/1.1/coinmetis-uninstalled.pc.in

    r1685 r1924  
    55Description: Serial Graph Partitioning and Fill-reducing Matrix Ordering
    66Version: 4.0
    7 Libs: -L${libdir} -lcoinmetis
     7Libs: ${libdir}/libcoinmetis.la
    88Cflags: -I@abs_source_dir@/@METISDIR@/Lib
  • ThirdParty/Metis/stable/1.1/configure

    r1861 r1924  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion METIS_SVN_REV build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS METISDIR LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS ADDLIBS PCADDLIBS FADDLIBS ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion METIS_SVN_REV build build_cpu build_vendor build_os COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT MPICC PKG_CONFIG ac_pt_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED EGREP INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os LN_S ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXX CXXFLAGS ac_ct_CXX CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS LT_LDFLAGS METISDIR LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    19191919fi
    19201920
     1921# add automake conditional so we can recognize cl compiler in makefile
     1922coin_cc_is_cl=false
     1923if test x"$CXX" != x; then
     1924  case "$CXX" in
     1925    cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
     1926      coin_cc_is_cl=true
     1927      ;;
     1928  esac
     1929fi
     1930
     1931
     1932if test $coin_cc_is_cl = true; then
     1933  COIN_CC_IS_CL_TRUE=
     1934  COIN_CC_IS_CL_FALSE='#'
     1935else
     1936  COIN_CC_IS_CL_TRUE='#'
     1937  COIN_CC_IS_CL_FALSE=
     1938fi
     1939
     1940
    19211941
    19221942
     
    49925012*-*-irix6*)
    49935013  # Find out which ABI we are using.
    4994   echo '#line 4994 "configure"' > conftest.$ac_ext
     5014  echo '#line 5014 "configure"' > conftest.$ac_ext
    49955015  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    49965016  (eval $ac_compile) 2>&5
     
    65916611
    65926612# Provide some information about the compiler.
    6593 echo "$as_me:6593:" \
     6613echo "$as_me:6613:" \
    65946614     "checking for Fortran 77 compiler version" >&5
    65956615ac_compiler=`set X $ac_compile; echo $2`
     
    76587678   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    76597679   -e 's:$: $lt_compiler_flag:'`
    7660    (eval echo "\"\$as_me:7660: $lt_compile\"" >&5)
     7680   (eval echo "\"\$as_me:7680: $lt_compile\"" >&5)
    76617681   (eval "$lt_compile" 2>conftest.err)
    76627682   ac_status=$?
    76637683   cat conftest.err >&5
    7664    echo "$as_me:7664: \$? = $ac_status" >&5
     7684   echo "$as_me:7684: \$? = $ac_status" >&5
    76657685   if (exit $ac_status) && test -s "$ac_outfile"; then
    76667686     # The compiler can only warn and ignore the option if not recognized
     
    79267946   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79277947   -e 's:$: $lt_compiler_flag:'`
    7928    (eval echo "\"\$as_me:7928: $lt_compile\"" >&5)
     7948   (eval echo "\"\$as_me:7948: $lt_compile\"" >&5)
    79297949   (eval "$lt_compile" 2>conftest.err)
    79307950   ac_status=$?
    79317951   cat conftest.err >&5
    7932    echo "$as_me:7932: \$? = $ac_status" >&5
     7952   echo "$as_me:7952: \$? = $ac_status" >&5
    79337953   if (exit $ac_status) && test -s "$ac_outfile"; then
    79347954     # The compiler can only warn and ignore the option if not recognized
     
    80308050   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80318051   -e 's:$: $lt_compiler_flag:'`
    8032    (eval echo "\"\$as_me:8032: $lt_compile\"" >&5)
     8052   (eval echo "\"\$as_me:8052: $lt_compile\"" >&5)
    80338053   (eval "$lt_compile" 2>out/conftest.err)
    80348054   ac_status=$?
    80358055   cat out/conftest.err >&5
    8036    echo "$as_me:8036: \$? = $ac_status" >&5
     8056   echo "$as_me:8056: \$? = $ac_status" >&5
    80378057   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    80388058   then
     
    1037510395  lt_status=$lt_dlunknown
    1037610396  cat > conftest.$ac_ext <<EOF
    10377 #line 10377 "configure"
     10397#line 10397 "configure"
    1037810398#include "confdefs.h"
    1037910399
     
    1047510495  lt_status=$lt_dlunknown
    1047610496  cat > conftest.$ac_ext <<EOF
    10477 #line 10477 "configure"
     10497#line 10497 "configure"
    1047810498#include "confdefs.h"
    1047910499
     
    1281912839   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1282012840   -e 's:$: $lt_compiler_flag:'`
    12821    (eval echo "\"\$as_me:12821: $lt_compile\"" >&5)
     12841   (eval echo "\"\$as_me:12841: $lt_compile\"" >&5)
    1282212842   (eval "$lt_compile" 2>conftest.err)
    1282312843   ac_status=$?
    1282412844   cat conftest.err >&5
    12825    echo "$as_me:12825: \$? = $ac_status" >&5
     12845   echo "$as_me:12845: \$? = $ac_status" >&5
    1282612846   if (exit $ac_status) && test -s "$ac_outfile"; then
    1282712847     # The compiler can only warn and ignore the option if not recognized
     
    1292312943   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1292412944   -e 's:$: $lt_compiler_flag:'`
    12925    (eval echo "\"\$as_me:12925: $lt_compile\"" >&5)
     12945   (eval echo "\"\$as_me:12945: $lt_compile\"" >&5)
    1292612946   (eval "$lt_compile" 2>out/conftest.err)
    1292712947   ac_status=$?
    1292812948   cat out/conftest.err >&5
    12929    echo "$as_me:12929: \$? = $ac_status" >&5
     12949   echo "$as_me:12949: \$? = $ac_status" >&5
    1293012950   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1293112951   then
     
    1449314513   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1449414514   -e 's:$: $lt_compiler_flag:'`
    14495    (eval echo "\"\$as_me:14495: $lt_compile\"" >&5)
     14515   (eval echo "\"\$as_me:14515: $lt_compile\"" >&5)
    1449614516   (eval "$lt_compile" 2>conftest.err)
    1449714517   ac_status=$?
    1449814518   cat conftest.err >&5
    14499    echo "$as_me:14499: \$? = $ac_status" >&5
     14519   echo "$as_me:14519: \$? = $ac_status" >&5
    1450014520   if (exit $ac_status) && test -s "$ac_outfile"; then
    1450114521     # The compiler can only warn and ignore the option if not recognized
     
    1459714617   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1459814618   -e 's:$: $lt_compiler_flag:'`
    14599    (eval echo "\"\$as_me:14599: $lt_compile\"" >&5)
     14619   (eval echo "\"\$as_me:14619: $lt_compile\"" >&5)
    1460014620   (eval "$lt_compile" 2>out/conftest.err)
    1460114621   ac_status=$?
    1460214622   cat out/conftest.err >&5
    14603    echo "$as_me:14603: \$? = $ac_status" >&5
     14623   echo "$as_me:14623: \$? = $ac_status" >&5
    1460414624   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1460514625   then
     
    1680416824   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1680516825   -e 's:$: $lt_compiler_flag:'`
    16806    (eval echo "\"\$as_me:16806: $lt_compile\"" >&5)
     16826   (eval echo "\"\$as_me:16826: $lt_compile\"" >&5)
    1680716827   (eval "$lt_compile" 2>conftest.err)
    1680816828   ac_status=$?
    1680916829   cat conftest.err >&5
    16810    echo "$as_me:16810: \$? = $ac_status" >&5
     16830   echo "$as_me:16830: \$? = $ac_status" >&5
    1681116831   if (exit $ac_status) && test -s "$ac_outfile"; then
    1681216832     # The compiler can only warn and ignore the option if not recognized
     
    1707217092   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1707317093   -e 's:$: $lt_compiler_flag:'`
    17074    (eval echo "\"\$as_me:17074: $lt_compile\"" >&5)
     17094   (eval echo "\"\$as_me:17094: $lt_compile\"" >&5)
    1707517095   (eval "$lt_compile" 2>conftest.err)
    1707617096   ac_status=$?
    1707717097   cat conftest.err >&5
    17078    echo "$as_me:17078: \$? = $ac_status" >&5
     17098   echo "$as_me:17098: \$? = $ac_status" >&5
    1707917099   if (exit $ac_status) && test -s "$ac_outfile"; then
    1708017100     # The compiler can only warn and ignore the option if not recognized
     
    1717617196   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1717717197   -e 's:$: $lt_compiler_flag:'`
    17178    (eval echo "\"\$as_me:17178: $lt_compile\"" >&5)
     17198   (eval echo "\"\$as_me:17198: $lt_compile\"" >&5)
    1717917199   (eval "$lt_compile" 2>out/conftest.err)
    1718017200   ac_status=$?
    1718117201   cat out/conftest.err >&5
    17182    echo "$as_me:17182: \$? = $ac_status" >&5
     17202   echo "$as_me:17202: \$? = $ac_status" >&5
    1718317203   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1718417204   then
     
    2039220412   { (exit 1); exit 1; }; }
    2039320413fi
     20414if test -z "${COIN_CC_IS_CL_TRUE}" && test -z "${COIN_CC_IS_CL_FALSE}"; then
     20415  { { echo "$as_me:$LINENO: error: conditional \"COIN_CC_IS_CL\" was never defined.
     20416Usually this means the macro was only invoked conditionally." >&5
     20417echo "$as_me: error: conditional \"COIN_CC_IS_CL\" was never defined.
     20418Usually this means the macro was only invoked conditionally." >&2;}
     20419   { (exit 1); exit 1; }; }
     20420fi
    2039420421if test -z "${COIN_HAS_PKGCONFIG_TRUE}" && test -z "${COIN_HAS_PKGCONFIG_FALSE}"; then
    2039520422  { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_PKGCONFIG\" was never defined.
     
    2097220999s,@build_vendor@,$build_vendor,;t t
    2097321000s,@build_os@,$build_os,;t t
     21001s,@COIN_CC_IS_CL_TRUE@,$COIN_CC_IS_CL_TRUE,;t t
     21002s,@COIN_CC_IS_CL_FALSE@,$COIN_CC_IS_CL_FALSE,;t t
    2097421003s,@CDEFS@,$CDEFS,;t t
    2097521004s,@ADD_CFLAGS@,$ADD_CFLAGS,;t t
Note: See TracChangeset for help on using the changeset viewer.